# ApplicationFramework
PTKernel
DBC

# DBC_VArrayOfReal Class Reference

`#include <DBC_VArrayOfReal.hxx>`

Inheritance diagram for DBC_VArrayOfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBC_VArrayOfReal ()
Standard_EXPORT | DBC_VArrayOfReal (const Standard_Integer Size)
Standard_EXPORT | DBC_VArrayOfReal (const DBC_VArrayOfReal &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const DBC_VArrayOfReal &Other)
void | operator= (const DBC_VArrayOfReal &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Real &Value)
Standard_EXPORT Standard_Real & | Value (const Standard_Integer Index) const
Standard_Real & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~DBC_VArrayOfReal ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | DBC_VArrayOfReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayOfReal::DBC_VArrayOfReal | ( |  | ) |

Standard_EXPORT DBC_VArrayOfReal::DBC_VArrayOfReal | ( | const Standard_Integer | Size | ) |

Standard_EXPORT DBC_VArrayOfReal::DBC_VArrayOfReal | ( | const DBC_VArrayOfReal & | Varray | ) |

DBC_VArrayOfReal::~DBC_VArrayOfReal | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void DBC_VArrayOfReal::Assign | ( | const DBC_VArrayOfReal & | Other | ) |

Standard_EXPORT void DBC_VArrayOfReal::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void DBC_VArrayOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Real& DBC_VArrayOfReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void DBC_VArrayOfReal::operator= | ( | const DBC_VArrayOfReal & | Other | ) | `[inline]`

Standard_EXPORT void DBC_VArrayOfReal::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void DBC_VArrayOfReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Real & | Value
| ) |

Standard_EXPORT Standard_Real& DBC_VArrayOfReal::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& DBC_VArrayOfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- DBC_VArrayOfReal.hxx